Delete data
curl --request POST \
--url https://api-sandbox.synctera.com/v0/wipe \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.synctera.com/v0/wipe"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.synctera.com/v0/wipe', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Sandbox Wipe
Delete data
Delete the customer and account related data, leaving other configuration data intact. This enables use cases such as bulk data deletion between tests. Data associated with below resources will be deleted:
- Accounts
- Account applications
- ACH
- Businesses
- Cards
- Card images
- Cases
- Customers
- Disclosures
- External Accounts
- Internal Accounts
- Payment schedules and history
- Persons
- RDC
- Relationships
- Transactions (including for Internal Accounts)
- Verifications
Data associated with below resources will be retained:
- Account Templates
- API Keys
- Bank/Partner data
- Card product
- Disclosure document records
- Egress config
- Groups
- PII contract with vault
- Roles
- Users
- Webhooks
POST
/
wipe
Delete data
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
successfully wiped resources for a particular tenant
Was this page helpful?

